Bug 1435203 - split-stack: no default nic config mappings when using deployed-server custom roles
Summary: split-stack: no default nic config mappings when using deployed-server custom...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 11.0 (Ocata)
Assignee: James Slagle
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-23 11:47 UTC by James Slagle
Modified: 2017-05-17 20:12 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.0.0-0.10.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 20:12:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 450734 None None None 2017-03-30 11:43:37 UTC
Launchpad 1670493 None None None 2017-03-23 11:48:22 UTC

Description James Slagle 2017-03-23 11:47:44 UTC
When using the custom roles data for deployed-server's at deployed-server/deployed-server-roles-data.yaml, there is no default nic config mappings.

The jinja loop in overcloud-resource-registry-puppet.j2.yaml will generate noop mappings for each of the custom roles. It also adds a mapping for the Controller nic config to net-config-bridge.yaml. However, when using the deployed-server roles data, there is no role named controller.

We need to add some sensible defaults for the custom roles. Since L2 connectivity is not a requirement between undercloud/overclodu when using deployed-server, the nic configs should use static IP configurations and not dhcp.

Comment 1 Red Hat Bugzilla Rules Engine 2017-03-23 11:49:05 UTC
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.

Comment 2 James Slagle 2017-03-29 14:33:05 UTC
if this patch does not get into 11, we'd have to add it to the documentation as a manual environment for users to create

Comment 3 Jaromir Coufal 2017-03-30 03:35:44 UTC
Not a blocker given workaround, let's try to get it in and if it misses, we will need to do doc_text and z-stream.

Comment 6 Gurenko Alex 2017-04-30 10:44:28 UTC
Verified on RC build 2017-04-28.4

Comment 7 errata-xmlrpc 2017-05-17 20:12:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.